#include <Wire.h>
#include <Bricktronics.h>
#include <IRremote.h>
Bricktronics brick = Bricktronics();
Motor m1 = Motor(&brick, 1);
Motor m2 = Motor(&brick, 2);
ColorSensor color = ColorSensor(&brick, 3);

int RECV_PIN = 0;   
IRrecv irrecv(RECV_PIN);
decode_results results;

void setup() 
{
  Serial.begin(9600);
  brick.begin();
  m1.begin();
  m2.begin();
  color.begin();
  irrecv.enableIRIn();
}

void loop() 
{
  if (irrecv.decode(&results)) 
  {
    Serial.println(results.value, HEX);
    switch(results.value)
    {
      case 0x10EF10EF:
      color.begin(TYPE_COLORGREEN);
      m2.set_speed(-60);
      break;
      case 0x10EF807F:
      color.begin(TYPE_COLORGREEN);
      m2.set_speed(60);
      break; 
      case 0x10EF20DF:
      m2.stop();
      break;
      case 0x10EFA05F:
      color.begin(TYPE_COLORRED);
      m1.set_speed(255);
      delay(500);
      m1.stop();
      color.begin(TYPE_COLORGREEN);
    }
    irrecv.resume();
  }
}

